
	SUBROUTINE f(n1, n2)
	 IMPLICIT NONE

	 INTEGER n1,n2

	 REAL, DIMENSION(n1:n2) :: A	!! You can define arrays using
					!! VARIABLES in Fortran 90.... like Ada
	 INTEGER i

	 DO i = n1, n2
	    A(i) = i
	 END DO

	 print *, A

	END SUBROUTINE

! ====================================================================

	PROGRAM main
	 IMPLICIT NONE

	 print *
	 print *, "Calling f(2,4)"
	 CALL f(2,4)

	 print *
	 print *, "Calling f(2,6)"
	 CALL f(2,6)
	END

